#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "cmshtex.h"

//-----------------------------------------------------------------------------------------
CMshTex::CMshTex()
{
   mIndex = -1;
   mName = NULL;
   mTag = 0;
}
//-----------------------------------------------------------------------------------------
CMshTex::~CMshTex()
{
   ClearName();
}
//-----------------------------------------------------------------------------------------
void CMshTex::ClearName()
{
   if( mName != NULL )
   {
      delete[] mName;
      mName = NULL;
   }
}
//-----------------------------------------------------------------------------------------
void CMshTex::SetName( char *name )
{
   ClearName();
   if( name == NULL )
   {
      return;
   }
   mName = new char[strlen( name ) + 1];
   strcpy( mName, name );
}
//-----------------------------------------------------------------------------------------
