#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "cmshmat.h"

//-----------------------------------------------------------------------------------------
CMshMat::CMshMat()
{
   mName = NULL;
   mDiffuse[0] = 1.0f;
   mDiffuse[1] = 1.0f;
   mDiffuse[2] = 1.0f;
   mDiffuse[3] = 1.0f;
   mAmbient[0] = 0.0f;
   mAmbient[1] = 0.0f;
   mAmbient[2] = 0.0f;
   mAmbient[3] = 0.0f;
   mSpecular[0] = 0.0f;
   mSpecular[1] = 0.0f;
   mSpecular[2] = 0.0f;
   mSpecular[3] = 0.0f;
   mSpecular[4] = 0.0f;
   mEmissive[0] = 0.0f;
   mEmissive[1] = 0.0f;
   mEmissive[2] = 0.0f;
   mEmissive[3] = 0.0f;
}
//-----------------------------------------------------------------------------------------
CMshMat::~CMshMat()
{
   ClearName();
}
//-----------------------------------------------------------------------------------------
void CMshMat::ClearName()
{
   if( mName != NULL )
   {
      delete[] mName;
      mName = NULL;
   }
}
//-----------------------------------------------------------------------------------------
void CMshMat::SetName( char *name )
{
   ClearName();
   if( name == NULL )
   {
      return;
   }
   mName = new char[strlen( name ) + 1];
   strcpy( mName, name );
}
//-----------------------------------------------------------------------------------------
