#ifndef cmshvert_H
#define cmshvert_H

#ifdef _WINDOWS
#ifndef WINDOWS
#define WINDOWS
#endif
#endif

#include "ac_plugin.h"

//-----------------------------------------------------------------------------------------
class CMshVert
{

public:

   Vertex *mVertex;
   Point3 mNormal;
   float mTx;
   float mTy;

   CMshVert();
   CMshVert( CMshVert *mv );
   ~CMshVert();

   // Static sort/search elements
   static int Compare( CMshVert *arg1, CMshVert *arg2 );
   static void Sort( CMshVert **items, int numitems );
   static int Search( CMshVert **items, int numitems, CMshVert *key );

};
//-----------------------------------------------------------------------------------------

#endif